Browse Source

Update min version of tox to use allowlist

The min version of tox is updated to 3.18.0 to replace whitelist_externals
with allowist_externals option [1]

[1] https://github.com/tox-dev/tox/blob/master/docs/changelog.rst#v3180-2020-07-23

Change-Id: Icf821d49d2543be2a37dffc686ae7ab4163b04cc
changes/09/791909/1
Riccardo Pittau 4 weeks ago
parent
commit
f1c9ff0e92
1 changed files with 4 additions and 4 deletions
  1. +4
    -4
      tox.ini

+ 4
- 4
tox.ini View File

@ -1,5 +1,5 @@
[tox]
minversion = 3.9.0
minversion = 3.18.0
skipsdist = True
envlist = py3,pep8
ignore_basepython_conflict=true
@ -39,7 +39,7 @@ deps=
flake8-import-order>=0.17.1 # LGPLv3
Pygments>=2.2.0 # BSD
bashate>=0.5.1 # Apache-2.0
whitelist_externals = bash
allowlist_externals = bash
commands =
bash tools/flake8wrap.sh {posargs}
# Run bashate during pep8 runs to ensure violations are caught by
@ -85,7 +85,7 @@ deps =
commands = sphinx-build -b html -W doc/source doc/build/html
[testenv:pdf-docs]
whitelist_externals = make
allowlist_externals = make
deps = {[testenv:docs]deps}
commands =
sphinx-build -W -b latex doc/source doc/build/pdf
@ -97,7 +97,7 @@ usedevelop = False
deps =
-c{env:TOX_CONSTRAINTS_FILE:https://releases.openstack.org/constraints/upper/master}
-r{toxinidir}/doc/requirements.txt
whitelist_externals = bash
allowlist_externals = bash
commands =
bash -c 'rm -rf api-ref/build'
sphinx-build -W -b html -d api-ref/build/doctrees api-ref/source api-ref/build/html


Loading…
Cancel
Save